Page MenuHomePhabricator

[Transit] Feature to revert an ongoing transition during transit play
ClosedPublic

Authored by godlytalias on Jan 13 2016, 11:05 PM.

Details

Summary

Currently the feature available in transit to reverse play a transition is
auto-reverse which will play a transition in reverse mode once a transition
is complete. This feature helps the user to revert a transition at any point
of time when transition is going on.
New API added.

@feature T3019

Use Case:
While doing pinch zoom, we will be doing zoom transit effect from one step to other, during that transit if user do the pinch in reverse direction this API can be called so that transition will be reverted easily.

Signed-off-by: godly.talias <godly.talias@samsung.com>

Test Plan

elementary_test Transit Resizing / Transit Zoom / Transit Bezier / Transit Custom / Transit Fade / Transit Flip

Diff Detail

Repository
rELM core/elementary
Branch
arcpatch-D3567
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1165
Build 1230: arc lint + arc unit
godlytalias retitled this revision from to [Transit] Feature to revert an ongoing transition during transit play.
godlytalias updated this object.
godlytalias edited the test plan for this revision. (Show Details)
godlytalias added subscribers: govi, rajeshps.
cedric requested changes to this revision.Jan 27 2016, 1:57 PM
cedric edited edge metadata.

Seems ok to me, will need to wait for 1.18 and need this @since for the documentation.

src/lib/elm_transit.h
596

@since 1.18 is missing.

This revision now requires changes to proceed.Jan 27 2016, 1:57 PM
godlytalias updated this revision to Diff 8253.Jan 27 2016, 6:54 PM
godlytalias edited edge metadata.
  • Added @since tag
godlytalias updated this revision to Diff 8254.Jan 27 2016, 6:57 PM
godlytalias edited edge metadata.
  • Added @since tag
cedric accepted this revision.Feb 4 2016, 11:09 PM
cedric edited edge metadata.
This revision is now accepted and ready to land.Feb 4 2016, 11:09 PM
cedric closed this revision.Feb 4 2016, 11:09 PM